@font-face {
  font-family: JetBrainsMono;
  src: url("font/JetBrainsMono-Regular.ttf");
}

@font-face {
  font-family: JetBrainsMono;
  src: url("font/JetBrainsMono-Bold.ttf");
  font-weight: bold;
}

@font-face {
  font-family: JetBrainsMono;
  src: url("font/JetBrainsMono-Light.ttf");
  font-weight: lighter;
}

@font-face {
  font-family: JetBrainsMono;
  src: url("font/JetBrainsMono-Italic.ttf");
  font-style: italic;
}


:root {
  --background-color-strong: #f8c2da;
  --background-color-muted: #ffdbeb;
  --text-color: #000000;
  --primary-button-background-color: #af5763;
  --primary-button-text-color: #ffffff;
  --secondary-button-background-color: #4fff8a;
  --secondary-button-text-color: #000000;
  --link-unvisited-color: #fffaf0;
  --link-visited-color: #6e4028;
  --panel-background-color: #ffdb8d;
  --border-color: #000000;
  --border: 2px solid var(--border-color);
  --shadow: 8px 9px 0 rgba(57, 18, 24, 0.5);
  --muted: #756366;
  --emphasis: #000000;
}


body {
  font-family: JetBrainsMono, Courier, monospace;
  padding: 10px 0;
  background-color: var(--background-color-strong);
  background-image:
    linear-gradient(rgba(255, 255, 255, 0.3) 1px, transparent 1px),
    linear-gradient(90deg, rgba(255, 255, 255, 0.3) 1px, transparent 1px);
  background-size: 24px 24px;
  font-size: 14px;
}

a {
  text-decoration: none;
}

.header {
  text-align: center;
  text-shadow: 2px 2px 2px #FFFFFF;
  width: 800px;
  margin: 0 auto;
}

.main {
  width: 800px;
  border: var(--border);
  border-radius: 10px;
  min-height: 500px;
  background-color: var(--background-color-muted);
  word-break: keep-all;
  display: flex;
  margin: 0 auto;
}

.main .menu {
  border-right: var(--border);
  min-height: 500px;
  text-align: center;
  padding: 10px;
  flex: 2;
}

.main-button {
  display: block;
  width: 100%;
  padding: 5px;
  background-color: var(--primary-button-background-color);
  color: var(--primary-button-text-color);
  border: var(--border);
  cursor: pointer;
  font: inherit;
  margin-bottom: 10px;
}

.main-button:hover {
  opacity: 0.5;
}

.disabled {
  opacity: 0.5;
  pointer-events: none;
}

.main .content {
  min-height: 500px;
  padding: 10px;
  flex: 6;
}

.main .panel {
  border: var(--border);
  background-color: var(--panel-background-color);
  padding: 10px;
  margin-bottom: 10px;
}

.main .extra {
  border-left: var(--border);
  min-height: 500px;
  padding: 10px;
  flex: 2;
}

.main .posts {
  padding: 10px;
  flex: 8;
}

.post-list .post {
  border: var(--border);
  background-color: #ffb7d8;
  padding: 10px;
  margin-bottom: 10px;
  cursor: pointer;
}

.post-list .post:hover {
  opacity: 0.5;
}

.post-content {
  max-width: 100%;
  text-wrap: break-word;
}

.post-content img {
  max-width: 100%;
}

.footer {
  width: 800px;
  margin: 0 auto;
  text-align: center;
  padding: 10px;
}

iframe {
  border: none;
  outline: none;
}

.view-count {
  border: var(--border);
  width: 150px;
  margin: 0 auto;
  background-color: var(--panel-background-color);
}

.iww-logo {
  background-color: white;
  border-radius: 150px;
  border: 1px solid black;
  margin-top: 10px;
  padding: 2px;
}

.iww-logo img {
  width: 100%;
  height: 100%;
  margin-bottom: -4px;
}

.links {
  margin: 5px;
}

.main .changelog {
  background-color: rgb(182, 218, 255);
}

.navigation-container {
  display: flex;
  justify-content: center;
  margin-top: 20px;
}

.post-navigation {
  display: flex;
  justify-content: space-between;
  width: 300px;
}

.post-navigation input[type="button"] {
  padding: 5px 10px;
  background-color: var(--primary-button-background-color);
  color: var(--primary-button-text-color);
  cursor: pointer;
  font: inherit;
}

.post-navigation .post-info {
  border: var(--border);
  padding: 5px 10px;
  background-color: var(--primary-button-background-color);
  color: var(--primary-button-text-color);
  display: block;
  font: inherit;
  margin-bottom: 10px;
}